alter table customer_loan_info
    add yn tinyint(1) default 1 not null;

alter table customer_reach_log
    add data_month varchar(10) null comment '数据月份' after arrival_time;

alter table customer_reach_log
    add order_no varchar(128) null comment '工单号' after frame_no;

alter table customer_reach_log
    add valid tinyint(1) default 1 not null comment '有效性' after data_month;
alter table customer_reach_log
    add exclude_statistics tinyint(1) null comment '排除分母统计';

alter table customer_reach_log
    add reason int(3) default 1 not null comment '无效原因  1:不适用 2:自然进站(不计分母) 3:重复进站' after valid;

create index customer_reach_log_data_month_index
    on customer_reach_log (data_month);

create index customer_reach_log_reason_index
    on customer_reach_log (reason);

alter table customer_reach_log
    alter column valid drop default;

alter table customer_reach_log
    alter column reason drop default;

update customer_reach_log
set data_month = DATE_FORMAT(arrival_time, '%Y-%m')
where data_month is null;

alter table customer_retention_ratio
    add exclude_num int default 0 null comment '排除数';


# 报表改动

alter table cas_016_d
    add i9 int default 0 null comment '排除数' after i5;
alter table cas_016_m
    add i9 int default 0 null comment '排除数' after i5;


alter table cas_048_d
    add i9 int default 0 null comment '排除数' after i3;
alter table cas_048_m
    add i9 int default 0 null comment '排除数' after i3;