package cn.fw.valhalla.domain.vo.ipt

import cn.fw.common.annotation.NoArg
import java.time.LocalDateTime

/**
 * 期初档案线索通话记录
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 期初档案线索通话记录
 * @date : 2024-03-27 18:13
 */
@NoArg
data class InitClueCallLogVO(
    val id: Long,
    val clueId: Long,
    val callId: String,
    val talkTime: Int,
    val recording: String?,
    val uploadTime: LocalDateTime,
)
