package cn.fw.valhalla.sdk.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 档案分配
 *
 * @author : kurisu
 * @version : 1.3.1
 * @className : CustomerDistributionReq
 * @description : 档案分配
 * @date : 2023-06-15 11:46
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class CustomerDistributionReq {
    @NotNull(message = "人员id不能为空")
    private Long staffId;
    @NotNull(message = "门店id不能为空")
    private Long shopId;
    @NotEmpty(message = "vin不能为空")
    private String vin;
}
