package cn.fw.valhalla.domain.db.ipt

import cn.fw.common.annotation.NoArg
import cn.fw.common.data.entity.BaseEntity
import java.time.LocalDateTime

/**
 * 初始线索通话记录
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 初始线索通话记录
 * @date : 2024-03-27 16:47
 */
@NoArg
data class CustomerInitClueCallLog(
    val clueId: Long,
    val callId: String,
    val talkTime: Int,
    var recording: String,
    val uploadTime: LocalDateTime,
) : BaseEntity<CustomerInitClueCallLog, Long>()
