package cn.fw.valhalla.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * 角色变动用户信息
 *
 * @author : kurisu
 * @version : 1.0
 * @desc : 角色变动用户信息
 * @date : 2023-11-01 15:33
 */
@Data
public class RoleChangeUserVO {
    @NotNull(message = "用户id不能为空")
    private Long userId;
    @NotNull(message = "门店id不能为空")
    private Long shopId;
    @NotNull(message = "时间不能为空")
    private LocalDate date;
}
