package cn.fw.valhalla.domain.vo.ipt

import cn.fw.common.annotation.NoArg
import java.time.LocalDate
import java.time.LocalDateTime
import java.util.*

/**
 * 期初档案数据
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 期初档案数据
 * @date : 2024-03-27 17:13
 */
@NoArg
data class CustomerInitClueVO(
    /** id */
    val id: Long,
    /** 车牌号  */
    val plateNo: String?,
    /** 车架号 */
    val vin: String,
    /** 品牌 */
    val brandName: String?,
    /** 车系 */
    val seriesName: String?,
    /** 车型 */
    val specName: String?,
    /** 发动机号 */
    val engineNo: String?,
    /** 购车日期 */
    val buyDate: LocalDate?,
    /** 客户名称 */
    val customerName: String?,
    /** 客户电话 */
    val customerMobile: String,
    /** 电话归属地 */
    var cMobileRegion: String? = null,
    /** 上次进站时间 */
    val arrivalTime: LocalDateTime?,
    /** 上次进站里程 */
    val arrivalMileage: Int?,
    /** 最后一次送修人 */
    val senderName: String?,
    /** 最后一次送修人电话 */
    val senderMobile: String,
    /** 电话归属地 */
    var sMobileRegion: String? = null,
    /** 顾问id */
    val adviserId: Long,
    /** 顾问名称 */
    val adviserName: String?,
    /** 门店id */
    val shopId: Long,
    /** 门店名称 */
    val shopName: String,
    /** 集团id */
    val groupId: Long,
    /** 导入时间 */
    val createTime: Date
)
